<div id="fqdns">
    <div class="net-filter-direct">
        <form data-templateurl="{{ url_for('dnsvs.inspect_fqdn', fqdn='[fqdn]') }}" id="form-direct">
            <div class="input-group">
                <div class="input-group-prepend">
                <span class="input-group-text"><i class="fa fa-filter"
                                                                     aria-hidden="true"></i></span>
                </div>
                <input class="search form-control" id="filter-direct" placeholder="Filter & Direktwahl" autofocus="yes"/>
                <div class="input-group-append">
                    <button title="Gehe direkt zu FQDN" data-templateurl="{{ url_for('dnsvs.inspect_fqdn', fqdn='[template]') }}"
                             class="btn btn-outline-secondary" type="submit">
                        <i class="fa fa-arrow-right"></i>
                    </button>
                </div>
            </div>
        </form>
    </div>
    <table class="table table-responsive table-striped">
        <tr>
            <th colspan="2" class="vertical-center">{{ colnames['NTree']['fqdn'].short_title_abs }} <a class="sort" data-order="asc" data-target="fqdn" href="javascript:void(0)"><i class="fa fa-sort-asc"></i></a></th>
            <th class="vertical-center">{{ colnames['NTree']['description'].short_title_abs }} <a class="sort" data-order="" data-target="description" href="javascript:void(0)"><i class="fa fa-sort"></i></a></th>
            <th class="vertical-center">Aktionen</th>
            <th><a class="btn btn-outline-success pull-right" href="{{ url_for('dnsvs.add_fqdn') }}"><i
                    class="fa fa-plus"></i></a></th>
        </tr>
        <tbody class="list">
        {% for f in fqdns %}
            <tr>
                <td class="fqdn" data-fqdn="{{ f.fqdn }}" title="{{ f.dbnt_name }}">
                    {% if f.is_d and f.fqdn_sub_count > 0 %}
                        <a href="{{ url_for('dnsvs.inspect_fqdn', fqdn=f.fqdn if not f.fqdn == '.' else '$') }}">{{ f.fqdn }}</a>
                        {% if f.is_d %}<span class="badge badge-info">Domain</span>{% endif %}
                        <a href="{{ url_for('dnsvs.inspect_fqdn', fqdn=f.fqdn if not f.fqdn == '.' else '$') }}"
                           class="badge badge-primary" title="#FQDNs unter FQDN">{{ f.fqdn_sub_count }} <span
                                class="sr-only">FQDNs</span></a>
                    {% else %}
                        {{ f.fqdn }} {% if f.is_d %}<span class="badge badge-info">Domain</span>{% endif %}
                        <span class="badge badge-secondary" title="#FQDNs unter FQDN">{{ f.fqdn_sub_count }} <span
                                class="sr-only">FQDNs</span></span>
                    {% endif %}
                </td>
                <td>
                    {% if f.fqdn_has_rr %}
                        <div class="btn-group">
                            <button type="button" class="btn btn-default dropdown-toggle"
                                    data-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false">
                                <i class="fa fa-info-circle"
                                   aria-hidden="true"></i> <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item"
                                   href="{{ url_for('dnsvs.inspect_fqdn_recs', fqdn=f.fqdn if not f.fqdn == '.' else '$') }}">Alle
                                    Records zu FQDN</a>
                                <a class="dropdown-item"
                                   href="{{ url_for('dnsvs.inspect_fqdn_refs', fqdn=f.fqdn if not f.fqdn == '.' else '$') }}">Alle
                                    Referenzen auf FQDN</a>
                            </div>
                        </div>
                    {% endif %}
                </td>
                <td class="description">{{ f.description }}</td>
                <td colspan="2"><a href="{{ url_for('dnsvs.edit_fqdn', fqdn=f.fqdn) }}" class="btn btn-outline-primary"><i class="fa fa-pencil"></i></a>
                    <div class="btn-group">
                        <button type="button" class="btn btn-outline-danger dropdown-toggle"
                                data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                            <i class="fa fa-trash"
                               aria-hidden="true"></i> <span class="caret"></span>
                        </button>
                        <div class="dropdown-menu dropdown-menu-right">
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ f.fqdn }}" name="fqdn">
                                <input type="hidden" value="False" name="do_del_pqdn">
                                <input type="hidden" value="False" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN löschen</button>
                            </form>
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ f.fqdn }}" name="fqdn">
                                <input type="hidden" value="False" name="do_del_pqdn">
                                <input type="hidden" value="True" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN löschen
                                    und {{ colnames['NTree']['force_del_ref_records'].short_title_rel }}</button>
                            </form>
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ f.fqdn }}" name="fqdn">
                                <input type="hidden" value="True" name="do_del_pqdn">
                                <input type="hidden" value="False" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN löschen
                                    und {{ colnames['NTree']['do_del_pqdn'].short_title_rel }}</button>
                            </form>
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ f.fqdn }}" name="fqdn">
                                <input type="hidden" value="True" name="do_del_pqdn">
                                <input type="hidden" value="True" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN
                                    löschen, {{ colnames['NTree']['force_del_ref_records'].short_title_rel }}
                                    und {{ colnames['NTree']['do_del_pqdn'].short_title_rel }}</button>
                            </form>
                        </div>
                    </div>
            </tr>
        {% endfor %}
        </tbody>
    </table>
</div>
